headless lms

Remove a link from a space (staff)

DELETE /api/communities/{communityId}/spaces/{spaceId}/links/{linkId}. Remove a link from a space (staff). Headless LMS Communities API reference.

DELETE
/api/communities/{communityId}/spaces/{spaceId}/links/{linkId}

Owner or admin only. The linked content itself is untouched.

Path Parameters

communityId*string
spaceId*string
linkId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/communities/string/spaces/string/links/string"
{  "orgId": "string",  "id": "string",  "communityId": "string",  "name": "string",  "description": "string",  "seq": -9007199254740991,  "accessRule": "all_members",  "capacity": -9007199254740991,  "settings": {    "comments": true,    "reactions": true,    "requireReview": true  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "topics": [    {      "orgId": "string",      "id": "string",      "spaceId": "string",      "name": "string",      "seq": -9007199254740991,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "links": [    {      "orgId": "string",      "id": "string",      "spaceId": "string",      "contentId": "string",      "seq": -9007199254740991,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}